GNU bug report logs - #30900
26.0.91; auth-source-pass-enable results in customization type mismatch for auth-sources

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Branham <alex.branham@HIDDEN>; dated Wed, 21 Mar 2018 22:33:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 5 Apr 2018 10:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 05 06:21:13 2018
Received: from localhost ([127.0.0.1]:38948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f4213-0004oC-Gz
	for submit <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:21:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1f4211-0004nx-JX
 for 30900 <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:21:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1f420s-0004zB-Ao
 for 30900 <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:21:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35492)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1f420s-0004yr-6W; Thu, 05 Apr 2018 06:21:02 -0400
Received: from [176.228.60.248] (port=2829 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1f420r-0006QO-DQ; Thu, 05 Apr 2018 06:21:01 -0400
Date: Thu, 05 Apr 2018 13:21:13 +0300
Message-Id: <83370a2bty.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-reply-to: <hth8oq0y37.fsf@HIDDEN> (message from Glenn Morris on
 Thu, 05 Apr 2018 06:03:24 -0400)
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN> <83tvsq3ho4.fsf@HIDDEN>
 <hth8oq0y37.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: damien@HIDDEN, tzz@HIDDEN, 30900 <at> debbugs.gnu.org,
 nicolas@HIDDEN, alex.branham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: Ted Zlatanov <tzz@HIDDEN>,  damien@HIDDEN,  nicolas@HIDDEN,  alex.branham@HIDDEN,  30900-done <at> debbugs.gnu.org
> Date: Thu, 05 Apr 2018 06:03:24 -0400
> 
> Eli Zaretskii wrote:
> 
> > :version tag should have been updated.  I fixed that.
> 
> It's not new, nor has the default value changed, so I don't see why
> :version should be changed.

It depends on the POV, I guess.  I thought it should change.

> Anyway, the "No Gnus" comment is now incorrect.

Feel free to fix that, and thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900-done <at> debbugs.gnu.org:


Received: (at 30900-done) by debbugs.gnu.org; 5 Apr 2018 10:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 05 06:03:57 2018
Received: from localhost ([127.0.0.1]:38932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f41kL-0004Q6-Kb
	for submit <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:03:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1f41kK-0004Pv-De
 for 30900-done <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:03:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1f41kD-000501-FC
 for 30900-done <at> debbugs.gnu.org; Thu, 05 Apr 2018 06:03:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35117)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1f41jr-0004ob-9B; Thu, 05 Apr 2018 06:03:27 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1f41jp-0007kb-0C; Thu, 05 Apr 2018 06:03:25 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN> <83tvsq3ho4.fsf@HIDDEN>
X-Spook: Biological San Diego Heroin Cyber Command counter
X-Ran: z^p,Lm,r?TmocG%O$\2]Yq+OVKL9xqt>6$[3G'sxV@h<)/Bj%Pe%q>T1*.C9jc7G[`BW{#
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 05 Apr 2018 06:03:24 -0400
In-Reply-To: <83tvsq3ho4.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 04 Apr
 2018 22:17:31 +0300")
Message-ID: <hth8oq0y37.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900-done
Cc: damien@HIDDEN, Ted Zlatanov <tzz@HIDDEN>,
 30900-done <at> debbugs.gnu.org, nicolas@HIDDEN, alex.branham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii wrote:

> :version tag should have been updated.  I fixed that.

It's not new, nor has the default value changed, so I don't see why
:version should be changed. Anyway, the "No Gnus" comment is now incorrect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 5 Apr 2018 06:06:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 05 02:06:24 2018
Received: from localhost ([127.0.0.1]:38856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3y2R-00078y-P2
	for submit <at> debbugs.gnu.org; Thu, 05 Apr 2018 02:06:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1f3y2Q-00078l-Lz
 for 30900 <at> debbugs.gnu.org; Thu, 05 Apr 2018 02:06:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1f3y2K-0006gN-Na
 for 30900 <at> debbugs.gnu.org; Thu, 05 Apr 2018 02:06:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59661)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1f3y2G-0006et-2w; Thu, 05 Apr 2018 02:06:12 -0400
Received: from [176.228.60.248] (port=2127 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1f3y2F-00059r-Il; Thu, 05 Apr 2018 02:06:11 -0400
Date: Thu, 05 Apr 2018 09:06:24 +0300
Message-Id: <83h8oq2nmn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ted Zlatanov <tzz@HIDDEN>
In-reply-to: <87fu4afyje.fsf@HIDDEN> (message from Ted Zlatanov on Wed, 
 04 Apr 2018 17:32:21 -0400)
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN> <83tvsq3ho4.fsf@HIDDEN>
 <87fu4afyje.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: alex.branham@HIDDEN, 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Ted Zlatanov <tzz@HIDDEN>
> Cc: eliz@HIDDEN,  alex.branham@HIDDEN
> Date: Wed, 04 Apr 2018 17:32:21 -0400
> 
> EZ> Thanks, but that should have been done on the release branch, and the
> EZ> :version tag should have been updated.  I fixed that.
> 
> Thank you for your kind help. Does that close the issue?

Sounds like it doesn't, see Glenn's followup.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 4 Apr 2018 22:00:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 04 18:00:14 2018
Received: from localhost ([127.0.0.1]:38741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3qRy-0004UL-H4
	for submit <at> debbugs.gnu.org; Wed, 04 Apr 2018 18:00:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1f3qRx-0004UA-DA
 for 30900 <at> debbugs.gnu.org; Wed, 04 Apr 2018 18:00:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1f3qRr-00038b-Ie
 for 30900 <at> debbugs.gnu.org; Wed, 04 Apr 2018 18:00:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50948)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1f3qRr-00038S-F6; Wed, 04 Apr 2018 18:00:07 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1f3qRp-0008RQ-Bf; Wed, 04 Apr 2018 18:00:05 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 30900 <at> debbugs.gnu.org
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN> <83tvsq3ho4.fsf@HIDDEN>
 <87fu4afyje.fsf@HIDDEN>
X-Spook: NSA Ortega Plot Cocaine Ft. Meade AMW Cancelled DNDO
X-Ran: {|(ji7v~/GHW>;ZsYR8YPS(#%iMe^6us<CJ*<q(I:}T4@'-of18kc/@[YwUVZR?@6]m?(-
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 04 Apr 2018 18:00:05 -0400
In-Reply-To: <87fu4afyje.fsf@HIDDEN> (Ted Zlatanov's message of "Wed, 04
 Apr 2018 17:32:21 -0400")
Message-ID: <65lge2ws2i.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: alex.branham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Ted Zlatanov wrote:

> Thank you for your kind help. Does that close the issue?

Changing the :type doesn't help with this:

  Presumably this auth-sources setting also doesn't work in the next Emacs
  instance, unless one manually loads the auth-source-pass library?

Ie the procedure documented in the manual doesn't suffice:

  (setq auth-sources '(password-store))

because auth-source won't know how to handle that mechanism, or any
other external one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 4 Apr 2018 21:32:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 04 17:32:32 2018
Received: from localhost ([127.0.0.1]:38706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3q1A-0003qY-Hh
	for submit <at> debbugs.gnu.org; Wed, 04 Apr 2018 17:32:32 -0400
Received: from mail-qt0-f172.google.com ([209.85.216.172]:39660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1f3q18-0003qK-M9
 for 30900 <at> debbugs.gnu.org; Wed, 04 Apr 2018 17:32:30 -0400
Received: by mail-qt0-f172.google.com with SMTP id v11so24769146qtj.6
 for <30900 <at> debbugs.gnu.org>; Wed, 04 Apr 2018 14:32:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=Wp0U6QFxW+XKr9ZDzcosoo63iFDjWrosBUoBD8JaIqE=;
 b=ZenAWO7p2yNgISddinJVHo12QZAFXx9k1iCKFi71dnmS7taGUEjdAUhYbUVG3/TOGz
 m6vhUZqccDsfLQfp16gn+Mxq/nn4ETE4vlSsm0wXfy+5cI/fbjvhuW9hOiRo7pZCLJj8
 dYSkY7JialdKLnDUWWF71r1zY4JWYFxuxNKiU=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:date:in-reply-to:message-id:user-agent:mime-version;
 bh=Wp0U6QFxW+XKr9ZDzcosoo63iFDjWrosBUoBD8JaIqE=;
 b=MwxuwYlcNwet3Jiwc68guwf4YZtO382DHXsgplImq8Cf4pZD+1KY8W2btUPEdhJ4Wg
 Rl6MgtzIsKOi5VlWhWWGfP93cKq4UAS6XG/2uDLe2YRBzvlbKV/TZNiMYSxbQN3qospg
 bX3cBPwMlQ6qVuAHQTHWpJ+UWRfqIXLZ2u/mSSX77sd7/yw+e2ZwxO2RMsYM1q0Arxyl
 BsYzg+38g/+p0lep4JW5r3u6wa1NF1yOw1kGBeWW1YReapp7SWljccQufQQNCtDpk6ie
 J7zwotGnfZTeOuBY+kz952A2njMWmM1l1LKGc7nx89kEcnVcHe9msbcrLscTJSJQEP4e
 d9fg==
X-Gm-Message-State: ALQs6tAksBp57M2/5XRxejVqbvFv6MkSxtKxOhRNPAOmPA8sPs3YxmDV
 trM6LC+J2w0p+b7f+Hbce21zHQ==
X-Google-Smtp-Source: AIpwx4/rWZqCAPsADkoxZL5HJD3wNnWChC56pqrZNDBIPtyHAD2C5VEALuJxrf3BeOveq7xTNhLfXg==
X-Received: by 10.200.64.70 with SMTP id j6mr28883889qtl.321.1522877543765;
 Wed, 04 Apr 2018 14:32:23 -0700 (PDT)
Received: from flea (c-76-28-41-155.hsd1.ma.comcast.net. [76.28.41.155])
 by smtp.gmail.com with ESMTPSA id b12sm5354254qtb.62.2018.04.04.14.32.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 04 Apr 2018 14:32:23 -0700 (PDT)
From: Ted Zlatanov <tzz@HIDDEN>
To: 30900 <at> debbugs.gnu.org
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN> <83tvsq3ho4.fsf@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Date: Wed, 04 Apr 2018 17:32:21 -0400
In-Reply-To: <83tvsq3ho4.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 04 Apr
 2018 22:17:31 +0300")
Message-ID: <87fu4afyje.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: eliz@HIDDEN, alex.branham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Wed, 04 Apr 2018 22:17:31 +0300 Eli Zaretskii <eliz@HIDDEN> wrote: 

>> From: Ted Zlatanov <tzz@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  Nicolas Petton <nicolas@HIDDEN>,  Glenn Morris <rgm@HIDDEN>,  alex.branham@HIDDEN,  30900 <at> debbugs.gnu.org
>> Date: Wed, 04 Apr 2018 14:16:19 -0400
>> 
>> OK. Since there were no objections:
>> 
>> commit 447da5b0d49b7aa14fa5d6969015770fdf9b9f92
>> Author: Ted Zlatanov <tzz@HIDDEN>
>> 
>> * lisp/auth-source.el (auth-sources): Allow sexp customization type

EZ> Thanks, but that should have been done on the release branch, and the
EZ> :version tag should have been updated.  I fixed that.

Thank you for your kind help. Does that close the issue?

Ted




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900-done <at> debbugs.gnu.org:


Received: (at 30900-done) by debbugs.gnu.org; 4 Apr 2018 19:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 04 15:17:33 2018
Received: from localhost ([127.0.0.1]:38645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3nuW-0000mA-SI
	for submit <at> debbugs.gnu.org; Wed, 04 Apr 2018 15:17:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1f3nuV-0000lw-Dg
 for 30900-done <at> debbugs.gnu.org; Wed, 04 Apr 2018 15:17:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1f3nuL-0002iS-RU
 for 30900-done <at> debbugs.gnu.org; Wed, 04 Apr 2018 15:17:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47680)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1f3nuL-0002i9-Nf; Wed, 04 Apr 2018 15:17:21 -0400
Received: from [176.228.60.248] (port=1538 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1f3nuK-0001VU-T7; Wed, 04 Apr 2018 15:17:21 -0400
Date: Wed, 04 Apr 2018 22:17:31 +0300
Message-Id: <83tvsq3ho4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ted Zlatanov <tzz@HIDDEN>
In-reply-to: <87k1tmg7m4.fsf@HIDDEN> (message from Ted Zlatanov on Wed, 
 04 Apr 2018 14:16:19 -0400)
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
 <87k1tmg7m4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900-done
Cc: damien@HIDDEN, rgm@HIDDEN, nicolas@HIDDEN, alex.branham@HIDDEN,
 30900-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Ted Zlatanov <tzz@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  Nicolas Petton <nicolas@HIDDEN>,  Glenn Morris <rgm@HIDDEN>,  alex.branham@HIDDEN,  30900 <at> debbugs.gnu.org
> Date: Wed, 04 Apr 2018 14:16:19 -0400
> 
> OK. Since there were no objections:
> 
> commit 447da5b0d49b7aa14fa5d6969015770fdf9b9f92
> Author: Ted Zlatanov <tzz@HIDDEN>
> 
>     * lisp/auth-source.el (auth-sources): Allow sexp customization type

Thanks, but that should have been done on the release branch, and the
:version tag should have been updated.  I fixed that.




Notification sent to Alex Branham <alex.branham@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 4 Apr 2018 18:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 04 14:16:31 2018
Received: from localhost ([127.0.0.1]:38603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3mxS-0007pC-S6
	for submit <at> debbugs.gnu.org; Wed, 04 Apr 2018 14:16:31 -0400
Received: from mail-qk0-f170.google.com ([209.85.220.170]:37194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1f3mxP-0007ox-8Q
 for 30900 <at> debbugs.gnu.org; Wed, 04 Apr 2018 14:16:29 -0400
Received: by mail-qk0-f170.google.com with SMTP id w6so23517834qkb.4
 for <30900 <at> debbugs.gnu.org>; Wed, 04 Apr 2018 11:16:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=O2jjYkyOdTLBpHeuUtlL2izePIURJsXLU81odH5IbUI=;
 b=MuVYQN1KMf3VFanj6XyUB37TCrrTlpLImnrj1CZhXmS4RSKBYpV0MQhOY+GOOmlMlN
 OXS18gqEaUhRhtw3GIstxSOeMZxtK+G5lPwIeg2vXyVLEaBHD7dKJ6K/+KMUtQ+/SkBh
 RSm6co+NDAFCQcjtH3qD9XZW01JW70edhOuZ0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=O2jjYkyOdTLBpHeuUtlL2izePIURJsXLU81odH5IbUI=;
 b=IobvriItn7jqgRKQ2OO2IHvxYAllFiiCl9cArYbF2EsuaBMQqWmtfhmVNZKWC6Zzdl
 t6fctXlo8VogSvNyoy5t5ooJC6uVU7b2+RLaocUEujJbQ3bTUWrK0yK8pTwiGfNlmY18
 tJuDGmit8v+GVn63JEzOVZSauVL5hdPJLq23GjOUvqJbczNjqGbI1VKiA4YkLdgoFcKH
 x9c+WA0iNCOBQ0W5pODSIs1X3/JofCy5mmHhFd2b3SIHUbv1IKoY1HOQrlXbzApzvx25
 7+tYzGO8PPPvWsZdK0LrqVGKs1RNgwXY364eLZPlZFH6fdAV9eJT7yS7alkEgr+eaGl8
 Z4Gg==
X-Gm-Message-State: ALQs6tDFCs3lG3e36T/e2Ko36V8Du8Vtx4dg7jmdJX1rqzSGC1L0EN2x
 GWdsYeSUlLqGwMHl53aTXfNt54lu8VUjaA==
X-Google-Smtp-Source: AIpwx49OScpfeyuSVnT7/FyBFDzQYXPU6o9FWXivUrYM2cfRcpBPhx9PtxipYBYme6iPnjy+PTIU9A==
X-Received: by 10.55.164.212 with SMTP id n203mr25732380qke.342.1522865781501; 
 Wed, 04 Apr 2018 11:16:21 -0700 (PDT)
Received: from flea (c-76-28-41-155.hsd1.ma.comcast.net. [76.28.41.155])
 by smtp.gmail.com with ESMTPSA id n3sm2055806qte.6.2018.04.04.11.16.20
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 04 Apr 2018 11:16:20 -0700 (PDT)
From: Ted Zlatanov <tzz@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN> <87lge44dns.fsf@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Date: Wed, 04 Apr 2018 14:16:19 -0400
In-Reply-To: <87lge44dns.fsf@HIDDEN> (Damien Cassou's message of "Tue, 03
 Apr 2018 15:34:15 +0200")
Message-ID: <87k1tmg7m4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: alex.branham@HIDDEN, Glenn Morris <rgm@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>,
 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Tue, 03 Apr 2018 15:34:15 +0200 Damien Cassou <damien@HIDDEN> wrote: 

DC> Ted Zlatanov <tzz@HIDDEN> writes:
>> IIUC, we have external providers for the auth-source backends but the
>> customization types of `auth-sources' are not extensible by the
>> providers.

DC> yes

>> I can think of two approaches. We can either allow a typeless
>> configuration (in addition to the built-ins) to make it easier to
>> customize any way the user wants

DC> this should work and is probably the simplest.

OK. Since there were no objections:

commit 447da5b0d49b7aa14fa5d6969015770fdf9b9f92
Author: Ted Zlatanov <tzz@HIDDEN>

    * lisp/auth-source.el (auth-sources): Allow sexp customization type

HTH
Ted




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 3 Apr 2018 13:34:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 03 09:34:46 2018
Received: from localhost ([127.0.0.1]:36022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3M5C-0002HF-EH
	for submit <at> debbugs.gnu.org; Tue, 03 Apr 2018 09:34:45 -0400
Received: from mail.choca.pics ([62.210.108.126]:38420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1f3M57-0002H3-7l
 for 30900 <at> debbugs.gnu.org; Tue, 03 Apr 2018 09:34:41 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id EE442233104D;
 Tue,  3 Apr 2018 15:34:35 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id 8stn64ziyy4S; Tue,  3 Apr 2018 15:34:34 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 15FB62331051;
 Tue,  3 Apr 2018 15:34:34 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.10.3 mail.choca.pics 15FB62331051
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cassou.me;
 s=9EA44F5C-DEF4-11E6-A83F-A08DF322D8FB; t=1522762474;
 bh=2giYWZzHX+uyBhV8rMQAzOITd8pUxqYyIT2ZDx+FvIA=;
 h=From:To:Date:Message-ID:MIME-Version;
 b=NrlA5YASKbB4XeE/wtnz3Q8eg/L0SLo8t/872g0aYx9rMic08B/IE+Y7iib9KK7Fn
 5sHDpohwBv5buUlaD8+wY/Qx/4lsXzNbqp4u4eEVU2YX4XT3Vam+IS0DWEYKo4Vu39
 1Gj644FNlQWWG9zDJRn37PLT5ICbfI2pe9hDJDveoWMzQ5cgEke9Pj3sxMyPMXAc6W
 SCMeRx/gYhaec/Z/FVfydIMQA5Xb2K/4uTIsWomVNsTvtAsua+2+HIp2uWV6hRvbS3
 H1d+JSyD7ZWo5CLhpE6IzOYWw0CGMHYk6IOC7s0L+p9B7Y77JLmL0QKLXAtzMOuhbL
 oY5ESJqjkV+Uw==
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id 47SlaBBXTBmk; Tue,  3 Apr 2018 15:34:33 +0200 (CEST)
Received: from luz4 (20-44-190-109.dsl.ovh.fr [109.190.44.20])
 by mail.choca.pics (Postfix) with ESMTPSA id B6DA9233104D;
 Tue,  3 Apr 2018 15:34:27 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Ted Zlatanov <tzz@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
In-Reply-To: <87po3hg41k.fsf@HIDDEN>
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
 <87po3hg41k.fsf@HIDDEN>
Date: Tue, 03 Apr 2018 15:34:15 +0200
Message-ID: <87lge44dns.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: alex.branham@HIDDEN, Glenn Morris <rgm@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>,
 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Ted Zlatanov <tzz@HIDDEN> writes:
> IIUC, we have external providers for the auth-source backends but the
> customization types of `auth-sources' are not extensible by the
> providers.


yes


> I can think of two approaches. We can either allow a typeless
> configuration (in addition to the built-ins) to make it easier to
> customize any way the user wants


this should work and is probably the simplest.

-- 
Damien Cassou
http://damiencassou.seasidehosting.st

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 2 Apr 2018 12:56:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 02 08:56:50 2018
Received: from localhost ([127.0.0.1]:34760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f2z0z-00075m-Or
	for submit <at> debbugs.gnu.org; Mon, 02 Apr 2018 08:56:49 -0400
Received: from mail-qt0-f180.google.com ([209.85.216.180]:37888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1f2z0y-00075Z-6E
 for 30900 <at> debbugs.gnu.org; Mon, 02 Apr 2018 08:56:48 -0400
Received: by mail-qt0-f180.google.com with SMTP id z23so14701813qti.5
 for <30900 <at> debbugs.gnu.org>; Mon, 02 Apr 2018 05:56:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=qjKHnZuOOcvpiyy8sbF9mncYT1TVtmM6RbbY4UFbFyM=;
 b=hWEWzEIZhopdqfUk0F4Svk6j+lTSgjyftn1e3fVXhm2+RVVC/GoAm4AjxvZBXygfW9
 IEakU9+v4uMXcSNgeWnyNjUrssZS5gUAnKYg3/iRbFXxS+AIQodg/54nZ1Q92/BR9Dua
 jCGEfaHtlcpK7gN39zX6/Sc2AgJ5gWv0QqZYQ=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=qjKHnZuOOcvpiyy8sbF9mncYT1TVtmM6RbbY4UFbFyM=;
 b=GkIC8mm4MRF87EMiCJvyaKCu/ELVI6f8cBWiGLnbyQvNtB+LK1LcykTYxyjcMNYz90
 rh0pqSbgE3E5I3ccxlTDCrG284TvO04gVPQiAc3bjYO2RGXAhIEubrFngLfquLMJpNk3
 CvfDMUCIAVsNjBSLFXrpjIhz6Z1/9IpiTgJV8P5YsDea3zgy7MTi3MR4qMv4FqQKGI19
 qU7PSJ5xgxRke3dEOpH0bdwzLG3a9iIzTSOYW0P3ZT0OGJ5Dm0o6sA3Sd8yZBbFN+iDw
 lQKgJxcJpXLVeTAId0RoLl0iIhhZCL4Y4i8hxFgEVJnelDRELLvlNEH11Jn62PxsP18m
 hfYg==
X-Gm-Message-State: ALQs6tAvDvcFl4p1XFnuKhjfwZjz77M2wQU5/aGtguqL9rRLBNjHNAv1
 caizpXo2Yda9gj45JgVOclmdDEn4Up8=
X-Google-Smtp-Source: AIpwx4+QW1itnYP67+R3pfzKZt8U87z8DKHeJRxPWEJ0E4OwnNQyp/1Skqhu0ZvvQq8YAjKD8ml5pw==
X-Received: by 10.200.48.135 with SMTP id v7mr13966993qta.296.1522673802152;
 Mon, 02 Apr 2018 05:56:42 -0700 (PDT)
Received: from flea (c-76-28-41-155.hsd1.ma.comcast.net. [76.28.41.155])
 by smtp.gmail.com with ESMTPSA id w63sm243438qtd.4.2018.04.02.05.56.40
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 02 Apr 2018 05:56:41 -0700 (PDT)
From: Ted Zlatanov <tzz@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Date: Mon, 02 Apr 2018 08:56:39 -0400
In-Reply-To: <871sgb5goy.fsf@HIDDEN> (Damien Cassou's message of "Fri, 23
 Mar 2018 09:39:25 +0100")
Message-ID: <87po3hg41k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: alex.branham@HIDDEN, Glenn Morris <rgm@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>,
 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Fri, 23 Mar 2018 09:39:25 +0100 Damien Cassou <damien@HIDDEN> wrote: 

DC> Eli Zaretskii <eliz@HIDDEN> writes:
>>> > Using the new (26.0.91) auth-source-pass-enable function modifies the
>>> > auth-sources variable to something isn't specified in :type, resulting
>>> > in a type mismatch when looking at the customize-variable buffer for
>>> > auth-sources.
>>> 
>>> Presumably this auth-sources setting also doesn't work in the next Emacs
>>> instance, unless one manually loads the auth-source-pass library?

DC> I think we should sync with Ted, in CC, so that auth-sources
DC> customization type allows external providers. What do you think Ted?

IIUC, we have external providers for the auth-source backends but the
customization types of `auth-sources' are not extensible by the
providers.

I can think of two approaches. We can either allow a typeless
configuration (in addition to the built-ins) to make it easier to
customize any way the user wants, or we can make the :type extensible.
I'm not sure if there's a standard way of doing this in Emacs but if
there is, I'd use it. If not, the typeless approach is probably easier
to support and less surprising.

Ted




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 1 Apr 2018 09:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 01 05:12:08 2018
Received: from localhost ([127.0.0.1]:33479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f2Z1z-0005MB-Rr
	for submit <at> debbugs.gnu.org; Sun, 01 Apr 2018 05:12:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1f2Z1y-0005L9-2b
 for 30900 <at> debbugs.gnu.org; Sun, 01 Apr 2018 05:12:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1f2Z1s-0000Tg-4P
 for 30900 <at> debbugs.gnu.org; Sun, 01 Apr 2018 05:12:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41914)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1f2Z1o-0000RE-5u; Sun, 01 Apr 2018 05:11:56 -0400
Received: from [176.228.60.248] (port=4709 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1f2Z1h-0006Sz-Lj; Sun, 01 Apr 2018 05:11:50 -0400
Date: Sun, 01 Apr 2018 12:11:52 +0300
Message-Id: <83muyn70kn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
In-reply-to: <871sgb5goy.fsf@HIDDEN> (message from Damien Cassou on Fri, 23
 Mar 2018 09:39:25 +0100)
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN> <871sgb5goy.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: tzz@HIDDEN, rgm@HIDDEN, nicolas@HIDDEN, alex.branham@HIDDEN,
 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Ping!

> From: Damien Cassou <damien@HIDDEN>
> Cc: Glenn Morris <rgm@HIDDEN>, alex.branham@HIDDEN, 30900 <at> debbugs.gnu.org, Ted Zlatanov <tzz@HIDDEN>
> Date: Fri, 23 Mar 2018 09:39:25 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> >> > Using the new (26.0.91) auth-source-pass-enable function modifies the
> >> > auth-sources variable to something isn't specified in :type, resulting
> >> > in a type mismatch when looking at the customize-variable buffer for
> >> > auth-sources.
> >> 
> >> Presumably this auth-sources setting also doesn't work in the next Emacs
> >> instance, unless one manually loads the auth-source-pass library?
> 
> I think we should sync with Ted, in CC, so that auth-sources
> customization type allows external providers. What do you think Ted?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 23 Mar 2018 08:39:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 23 04:39:30 2018
Received: from localhost ([127.0.0.1]:48643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ezIEU-0001AB-Is
	for submit <at> debbugs.gnu.org; Fri, 23 Mar 2018 04:39:30 -0400
Received: from mail.choca.pics ([62.210.108.126]:55612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1ezIES-0001A3-J1
 for 30900 <at> debbugs.gnu.org; Fri, 23 Mar 2018 04:39:29 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 769442330C57;
 Fri, 23 Mar 2018 09:39:27 +0100 (CET)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id GUKSa4DITxBy; Fri, 23 Mar 2018 09:39:26 +0100 (CET)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 89B9B2330C58;
 Fri, 23 Mar 2018 09:39:26 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.10.3 mail.choca.pics 89B9B2330C58
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cassou.me;
 s=9EA44F5C-DEF4-11E6-A83F-A08DF322D8FB; t=1521794366;
 bh=tA6UgDjlO3A7Ho2OUGSc11vODt04lLLFR8t6eAFYOrw=;
 h=From:To:Date:Message-ID:MIME-Version;
 b=gzvPn+x7/uO10E/XNXH3uUXLknHIlXaKeVp5AUCpvDRujTKeW+iGh9zJv25qlKz3M
 S53pFo1agRWQeW4R+/5GK/mr2TjC8YHwtEr/bPFzSqIfqXxxJ8tYgconytj436L6zn
 wh6r70WyDCVjmiGN80Zlcr+CSkcw20cUNLa2Lx4LrsI5XhwyE4atWQr8hAn0eXZ4Zo
 n6PSJ2Noe7MHAViLtJYT6r0XApcbufoX2eVte9q99GYvTrNMPzMCT9eynEYAVKUI/E
 Fa6j820Tf9x+ustkLttNYriOIvbP6taujZXNfpUnk52CokdIPNCJccSVe+t9uIRr29
 ly4ReLjN9qLWg==
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id VMHuzhTVuKFh; Fri, 23 Mar 2018 09:39:26 +0100 (CET)
Received: from luz4 (20-44-190-109.dsl.ovh.fr [109.190.44.20])
 by mail.choca.pics (Postfix) with ESMTPSA id 207862330C57;
 Fri, 23 Mar 2018 09:39:26 +0100 (CET)
From: Damien Cassou <damien@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
In-Reply-To: <83370sk1df.fsf@HIDDEN>
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN>
Date: Fri, 23 Mar 2018 09:39:25 +0100
Message-ID: <871sgb5goy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: Ted Zlatanov <tzz@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 alex.branham@HIDDEN, 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:
>> > Using the new (26.0.91) auth-source-pass-enable function modifies the
>> > auth-sources variable to something isn't specified in :type, resulting
>> > in a type mismatch when looking at the customize-variable buffer for
>> > auth-sources.
>> 
>> Presumably this auth-sources setting also doesn't work in the next Emacs
>> instance, unless one manually loads the auth-source-pass library?

I think we should sync with Ted, in CC, so that auth-sources
customization type allows external providers. What do you think Ted?

-- 
Damien Cassou
http://damiencassou.seasidehosting.st

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 22 Mar 2018 10:12:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 22 06:12:26 2018
Received: from localhost ([127.0.0.1]:46812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eyxCs-0001GR-6f
	for submit <at> debbugs.gnu.org; Thu, 22 Mar 2018 06:12:26 -0400
Received: from petton.fr ([89.234.186.68]:38330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nicolas@HIDDEN>) id 1eyxCq-0001GF-H7
 for 30900 <at> debbugs.gnu.org; Thu, 22 Mar 2018 06:12:24 -0400
From: Nicolas Petton <nicolas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Damien Cassou <damien@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
In-Reply-To: <83370sk1df.fsf@HIDDEN>
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
 <83370sk1df.fsf@HIDDEN>
Date: Thu, 22 Mar 2018 11:12:15 +0100
Message-ID: <87sh8s4dxc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=petton.fr; s=mail;
 t=1521713538; bh=zwL7wCSvfrOEXpxxcYOKaX5STUF8LchOpqQey6hIhzU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:Message-ID:MIME-Version:Content-Type;
 b=hYCbWSdPP3OstRlzDYs5rkvIT3ms5JMZ2zAvK3dNk+4QAC2PWhhoUlPx0G6OtaxOyAQmdPFAdXmOzHT7Lwmma0k1WqQh80+OWn8YMdhu/vpAhAsFLw0Ju6RXm5JunfUUy0L3oPrPhmCW6cAqQJJ7bfqCM3ilHDl2lqqU+26lulw=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30900
Cc: Glenn Morris <rgm@HIDDEN>, alex.branham@HIDDEN, 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> Damien, Nicolas: could you please look into fixing these issues ASAP?
> We are about to make RC1 of Emacs 26.1 very soon.

Yes, we will.

Cheers,
Nico

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEE1AWqLIYsVPF+7mvg6LzXhmr8+XgFAlqzgX8ACgkQ6LzXhmr8
+XgehggA07H+XflQz5D80YRllA0EeDgaIjfSLhhHXk3kJdMN0f2oWu5behXyTAqa
OsgkHYcTq6ctxJka5dzUqzFSxuzPwoZwheRGQ+GJgX3gUDeOa0FEBZZWRvD5uevM
zk+nndflFBmOiQXRP6LzKNp9IJJMEtdsiy2k/1DWfX1s1uVP3za/tQ6KkJ497Vgd
KSqMnJHx0OLPUIJvtQchByjvrZnFknXqHW7XP0jw3kwawWqiZIr0FQV03lvhN6my
G/2+B+wxv/aqDSOFxudhAx9y/6CYMhV7b5Qn4xoR0ejagz6y9YeQe1qWMAplCgPb
1mbClmDi4Mfgv1anovyBONs0XkBK2w==
=dC/M
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 22 Mar 2018 07:37:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 22 03:37:01 2018
Received: from localhost ([127.0.0.1]:46677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eyumT-0005rq-4Q
	for submit <at> debbugs.gnu.org; Thu, 22 Mar 2018 03:37:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eyumP-0005rb-A4
 for 30900 <at> debbugs.gnu.org; Thu, 22 Mar 2018 03:36:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eyumF-0002gs-9l
 for 30900 <at> debbugs.gnu.org; Thu, 22 Mar 2018 03:36:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40201)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eyumF-0002gj-5p; Thu, 22 Mar 2018 03:36:47 -0400
Received: from [176.228.60.248] (port=3911 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eyumD-0004Rt-WD; Thu, 22 Mar 2018 03:36:46 -0400
Date: Thu, 22 Mar 2018 09:36:44 +0200
Message-Id: <83370sk1df.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Damien Cassou <damien@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>
In-reply-to: <pomuz1vvet.fsf@HIDDEN> (message from Glenn Morris on
 Wed, 21 Mar 2018 19:52:26 -0400)
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN> <pomuz1vvet.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: Glenn Morris <rgm@HIDDEN>, alex.branham@HIDDEN, 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 21 Mar 2018 19:52:26 -0400
> Cc: 30900 <at> debbugs.gnu.org
> 
> Alex Branham wrote:
> 
> > Using the new (26.0.91) auth-source-pass-enable function modifies the
> > auth-sources variable to something isn't specified in :type, resulting
> > in a type mismatch when looking at the customize-variable buffer for
> > auth-sources.
> 
> Presumably this auth-sources setting also doesn't work in the next Emacs
> instance, unless one manually loads the auth-source-pass library?
> 
> Also, there doesn't seem to be any NEWS entry about auth-source-pass.el.

Damien, Nicolas: could you please look into fixing these issues ASAP?
We are about to make RC1 of Emacs 26.1 very soon.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at 30900 <at> debbugs.gnu.org:


Received: (at 30900) by debbugs.gnu.org; 21 Mar 2018 23:52:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 19:52:37 2018
Received: from localhost ([127.0.0.1]:46466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eynX2-0007aD-Q8
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 19:52:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1eynX0-0007Zy-C6
 for 30900 <at> debbugs.gnu.org; Wed, 21 Mar 2018 19:52:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1eynWu-00027y-Jb
 for 30900 <at> debbugs.gnu.org; Wed, 21 Mar 2018 19:52:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33631)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1eynWt-000269-48; Wed, 21 Mar 2018 19:52:27 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1eynWs-00043J-Kz; Wed, 21 Mar 2018 19:52:26 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Alex Branham <alex.branham@HIDDEN>
Subject: Re: bug#30900: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
References: <87muz1ukiy.fsf@HIDDEN>
X-Spook: Plague Border Patrol Symptoms Ft. Bragg Palestine
X-Ran: XAU'<4_6EH#lE`'I6*;'wvD@2(BxJt1YINo\OCd-GXw2&\ga9Ll2i~%d-%^k=46Ni?<PLy
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 21 Mar 2018 19:52:26 -0400
In-Reply-To: <87muz1ukiy.fsf@HIDDEN> (Alex Branham's message of "Wed, 21
 Mar 2018 17:32:53 -0500")
Message-ID: <pomuz1vvet.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30900
Cc: 30900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Alex Branham wrote:

> Using the new (26.0.91) auth-source-pass-enable function modifies the
> auth-sources variable to something isn't specified in :type, resulting
> in a type mismatch when looking at the customize-variable buffer for
> auth-sources.

Presumably this auth-sources setting also doesn't work in the next Emacs
instance, unless one manually loads the auth-source-pass library?

Also, there doesn't seem to be any NEWS entry about auth-source-pass.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2018 22:32:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 18:32:08 2018
Received: from localhost ([127.0.0.1]:46370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eymHA-0005gs-47
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 18:32:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1eymH6-0005gN-V4
 for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 18:32:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eymH0-0005CV-Tz
 for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 18:31:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39192)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1eymH0-0005C2-R1
 for submit <at> debbugs.gnu.org; Wed, 21 Mar 2018 18:31:58 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41692)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eymGz-0001Bo-Mk
 for bug-gnu-emacs@HIDDEN; Wed, 21 Mar 2018 18:31:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eymGv-00055Q-CZ
 for bug-gnu-emacs@HIDDEN; Wed, 21 Mar 2018 18:31:57 -0400
Received: from mail-ot0-x22a.google.com ([2607:f8b0:4003:c0f::22a]:37429)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1eymGv-00054W-8W
 for bug-gnu-emacs@HIDDEN; Wed, 21 Mar 2018 18:31:53 -0400
Received: by mail-ot0-x22a.google.com with SMTP id t2-v6so7399886otj.4
 for <bug-gnu-emacs@HIDDEN>; Wed, 21 Mar 2018 15:31:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=x0VJtLYER4zKkjJI1npEWW/IkE3/8oKNGo/hAvCa7/o=;
 b=YSQfc5SxszDS6/oC345c4m+XJnrSHWHHHESF650uNOMNA3/9bNDurOjVud5s/GP5Ey
 MWtDLcwENuSTzitTtX4YoDAJIRlQ9ChySnCZ95LYRJxeBqdZPj9Qp2qPmOVyDrk7H6St
 46LYWLcr54/wdnhdd3kI6MJIzv2rMRrWFcWd3nnTKRXBB9lSI0ZG/BLKih6NNrWn09X8
 HLUMANGbDDWnGpUFxDploWxJz/m+aKsRsYSqvKZdVJ2zfVsEG77fv/oGdMemce6FRGGg
 3vHXERnNGQGpGdv1AvD58+D8ROXoZfXuX5o5h0Xf+xpEoXJ7OKnRH1NpesAF1woKQq49
 Cy3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=x0VJtLYER4zKkjJI1npEWW/IkE3/8oKNGo/hAvCa7/o=;
 b=K0gf1WQ1Qe5uD/p09oG0B/11F6Pu4WDw5dHtFN/og+aXd6I2FH6wmeHa54U8i9OH6E
 V7V4rhQRecz+9zrNtp40Gg9FFE4ph2KH8fxSGBz7N6vhYtWvq8oAX0XBq7dzcmYp9IZA
 TrrbohBK4LzEEiNaCrvGCA7+A2AG9bfLSVDEe0fNGJ4d8cj/5bEhx3WBSdKTBOglJmoj
 5ojGTkSGfOTeq69+Fu0wpvacjiReUKmq1GPGq6rOV87SfS4sfWNvbpMf9kQkCxCU5+AD
 k6MoZreF6wZed99EgINAWBXzbtYQ3EM2biTv1496M7aRLWpjm1GtaZR+/1EwIwsZV4pD
 +9Wg==
X-Gm-Message-State: AElRT7FhKsGsLBU+mzhUCH/jf4/QHFcbC4qQNhYxb+2lBNAZt8VWBv7I
 VfjXizN6RArOA2N+ocViPMgBdF8+
X-Google-Smtp-Source: AG47ELtWBdJJNaNt9b9iDoRucIqxmee0erbB234jxAna30hluuEj6QcUI5jbNA+Ifm1+vLBCJmqmYw==
X-Received: by 2002:a9d:36d4:: with SMTP id
 s20-v6mr15096162otd.37.1521671511912; 
 Wed, 21 Mar 2018 15:31:51 -0700 (PDT)
Received: from mars (cpe-70-114-192-208.austin.res.rr.com. [70.114.192.208])
 by smtp.gmail.com with ESMTPSA id f97-v6sm2923225otb.56.2018.03.21.15.31.50
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 21 Mar 2018 15:31:50 -0700 (PDT)
User-agent: mu4e 1.0; emacs 26.0.91
From: Alex Branham <alex.branham@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.91;
 auth-source-pass-enable results in customization type mismatch for
 auth-sources
Date: Wed, 21 Mar 2018 17:32:53 -0500
Message-ID: <87muz1ukiy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Using the new (26.0.91) auth-source-pass-enable function modifies the
auth-sources variable to something isn't specified in :type, resulting
in a type mismatch when looking at the customize-variable buffer for
auth-sources.

Alex




Acknowledgement sent to Alex Branham <alex.branham@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30900; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 Apr 2018 13:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.